Bug 475884 - Review Request: gbdfed - Bitmap Font Editor
Review Request: gbdfed - Bitmap Font Editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 17:02 EST by Tom "spot" Callaway
Modified: 2008-12-13 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 09:54:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-12-10 17:02:27 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/gbdfed.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/gbdfed-1.4-1.fc11.src.rpm
Description: 
gbdfed lets you interactively create new bitmap font files or
modify existing ones. It allows editing multiple fonts and multiple
glyphs, it allows cut and paste operations between fonts and glyphs and
editing font properties. The editor works natively with BDF fonts.
Comment 1 Parag AN(पराग) 2008-12-11 02:25:26 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=992670
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
328d87642e89629db351a9c00aa6a8c7  gbdfed-1.4-patch1
97dd44876f83caa5c3ae2c2479d7bff2  gbdfed-1.4.tbz2
28625f0878e83687b4c3a293467fc926  gbdfed16x16.png
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 2 Tom "spot" Callaway 2008-12-11 10:13:16 EST
New Package CVS Request
=======================
Package Name: gbdfed
Short Description: Bitmap Font Editor
Owners: spot
Branches: F-9 F-10 devel
InitialCC:

... and it's done.
Comment 3 Fedora Update System 2008-12-11 11:12:48 EST
gbdfed-1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gbdfed-1.4-1.fc9
Comment 4 Fedora Update System 2008-12-11 11:12:52 EST
gbdfed-1.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gbdfed-1.4-1.fc10
Comment 5 Fedora Update System 2008-12-13 09:54:25 EST
gbdfed-1.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-13 10:08:42 EST
gbdfed-1.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.